#
# spec file for package python3-django-form-utils
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-form-utils
Version:        1.0.3
Release:        2.6
License:        BSD License
Summary:        Form utilities for Django
Url:            http://launchpad.net/django-form-utils
Group:          Development/Libraries/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-form-utils/django-form-utils-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-django
BuildRequires:  python3-setuptools
Requires:       python3-django
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This application provides BetterForm and BetterModelForm classes which are subclasses of
django.forms.Form and django.forms.ModelForm, respectively. BetterForm and BetterModelForm
allow subdivision of forms into fieldsets which are iterable from a template, and also
allow definition of row_attrs which can be accessed from the template to apply attributes
to the surrounding container (<li>, <tr>, or whatever) of a specific form field.

%prep
%setup -q -n django-form-utils-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS.rst CHANGES.rst CONTRIBUTING.rst LICENSE.txt README.rst
%{python3_sitelib}/*
%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Oct 20 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.0.3:
  * Fixed compatibility with Django 1.9. Fixed GH-12.
* Sun Dec 14 2014 arun@gmx.de
- update to version 1.0.2:
  * Fixed compatibility with Django 1.7. Fixed BB-20 and GH-8.
- changes form version 1.0.1:
  * Removed invalid uses of python_2_unicode_compatible that broke
    with
    https://github.com/django/django/commit/589dc49e129f63801c54c15e408c944a345b3dfe
    Thanks ocZio for the report.
  * Fixed inheritance of form Meta class. Thanks chmodas. Fixed BB-16.
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires:  python3-django
* Fri Sep 27 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 1.0
  + Add Python 3.3 compatibility
- specfile cleanup
- Add documentation from tarball
- Use download url as source
* Sat Jan 29 2011 alexandre@exatati.com.br
- Update to 0.2.0:
  - Add width and height arguments to ImageWidget.
  - Make ImageWidget image-detection backend-friendly, no direct
    use of PIL. Fixes issue #7.
  - Fix default templates' rendering of labels for radio/checkbox
    inputs.
  - Fix error redisplaying bound form with ClearableFileField.
  - Automatically set fields on BetterModelForm to list of fields
    present in fieldsets, if fields or exclude are not set
    manually.
  - Updated to allow __getitem__ access to fieldsets.
- Spec file cleaned with spec-cleaner;
- Bzip2 source file.
* Wed Mar 17 2010 alexandre@exatati.com.br
- Update to 0.1.8.
* Thu Dec  3 2009 alexandre@exatati.com.br
- Update to 0.1.7.
* Wed Nov 25 2009 alexandre@exatati.com.br
- Update to 0.1.6.
* Wed Nov 11 2009 alexandre@exatati.com.br
- Update to 0.1.5.
* Tue Oct 27 2009 alexandre@exatati.com.br
- Initial package (0.1.3) for openSUSE.
